Show / Hide Table of Contents

# Class FixedArrayAttribute

Describes a Fixed Buffer to assist with automatic parsing.

##### Inheritance

System.Object
FixedArrayAttribute

###### Namespace: FFXIVClientStructs.Attributes

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public class FixedArrayAttribute : Attribute

### Constructors

| Improve this Doc View Source

#### FixedArrayAttribute(Type, Int32)

##### Declaration

    public FixedArrayAttribute(Type type, int count)

##### Parameters

Type | Name | Description
--- | --- | ---
Type | type |
System.Int32 | count |

### Properties

| Improve this Doc View Source

#### Count

##### Declaration

    public int Count { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Type

##### Declaration

    public Type Type { get; }

##### Property Value

Type | Description
--- | ---
Type |